#############################################################################
# Makefile for building: ../bin/manu
# Generated by qmake (1.07a) (Qt 3.3.4) on: Thu Aug 28 23:55:03 2008
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = CManuApp.h \
		CManuAppCtx.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CGenTools.h \
		../../MedinTuxTools/CCoolPopup.h \
		../../MedinTuxTools/CGestIni.h
SOURCES = CManuApp.cpp \
		CManuAppCtx.cpp \
		../../MedinTuxTools/CHtmlTools.cpp \
		../../MedinTuxTools/CGenTools.cpp \
		../../MedinTuxTools/CCoolPopup.cpp \
		../../MedinTuxTools/CGestIni.cpp \
		main.cpp
OBJECTS = CManuApp.o \
		CManuAppCtx.o \
		CHtmlTools.o \
		CGenTools.o \
		CCoolPopup.o \
		CGestIni.o \
		main.o \
		Dlg_Manu.o \
		DlgGetString.o \
		DlgMyMessageBox.o
FORMS = Dlg_Manu.ui \
		../../MedinTuxTools/DlgGetString.ui \
		../../MedinTuxTools/DlgMyMessageBox.ui
UICDECLS = Dlg_Manu.h \
		../../MedinTuxTools/DlgGetString.h \
		../../MedinTuxTools/DlgMyMessageBox.h
UICIMPLS = Dlg_Manu.cpp \
		../../MedinTuxTools/DlgGetString.cpp \
		../../MedinTuxTools/DlgMyMessageBox.cpp
SRCMOC   = moc_CManuApp.cpp \
		../../MedinTuxTools/moc_CCoolPopup.cpp \
		moc_Dlg_Manu.cpp \
		../../MedinTuxTools/moc_DlgGetString.cpp \
		../../MedinTuxTools/moc_DlgMyMessageBox.cpp
OBJMOC = moc_CManuApp.o \
		moc_CCoolPopup.o \
		moc_Dlg_Manu.o \
		moc_DlgGetString.o \
		moc_DlgMyMessageBox.o
DIST	   = src.pro
QMAKE_TARGET = manu
DESTDIR  = ../bin/
TARGET   = ../bin/manu

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/manu && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/manu/ && $(COPY_FILE) --parents manu_fr.ts .tmp/manu/ && $(COPY_FILE) --parents Dlg_Manu.ui.h ../../MedinTuxTools/DlgGetString.ui.h ../../MedinTuxTools/DlgMyMessageBox.ui.h .tmp/manu/ && ( cd `dirname .tmp/manu` && $(TAR) manu.tar manu && $(GZIP) manu.tar ) && $(MOVE) `dirname .tmp/manu`/manu.tar.gz . && $(DEL_FILE) -r .tmp/manu

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

CManuApp.o: CManuApp.cpp CManuApp.h \
		CManuAppCtx.h \
		../../MedinTuxTools/CGestIni.h \
		Dlg_Manu.h

CManuAppCtx.o: CManuAppCtx.cpp CManuAppCtx.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/CGenTools.h \
		Dlg_Manu.h

CHtmlTools.o: ../../MedinTuxTools/CHtmlTools.cpp ../../MedinTuxTools/CHtmlTools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CHtmlTools.o ../../MedinTuxTools/CHtmlTools.cpp

CGenTools.o: ../../MedinTuxTools/CGenTools.cpp ../../MedinTuxTools/DlgMyMessageBox.h \
		../../MedinTuxTools/DlgGetString.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/CGenTools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CGenTools.o ../../MedinTuxTools/CGenTools.cpp

CCoolPopup.o: ../../MedinTuxTools/CCoolPopup.cpp ../../MedinTuxTools/CCoolPopup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CCoolPopup.o ../../MedinTuxTools/CCoolPopup.cpp

CGestIni.o: ../../MedinTuxTools/CGestIni.cpp ../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CGestIni.o ../../MedinTuxTools/CGestIni.cpp

main.o: main.cpp CManuApp.h \
		Dlg_Manu.h \
		CManuAppCtx.h \
		../../MedinTuxTools/CGestIni.h

Dlg_Manu.h: Dlg_Manu.ui 
	$(UIC) Dlg_Manu.ui -o Dlg_Manu.h

Dlg_Manu.cpp: Dlg_Manu.h Dlg_Manu.ui Dlg_Manu.ui.h 
	$(UIC) Dlg_Manu.ui -i Dlg_Manu.h -o Dlg_Manu.cpp

../../MedinTuxTools/DlgGetString.h: ../../MedinTuxTools/DlgGetString.ui 
	$(UIC) ../../MedinTuxTools/DlgGetString.ui -o ../../MedinTuxTools/DlgGetString.h

../../MedinTuxTools/DlgGetString.cpp: ../../MedinTuxTools/DlgGetString.h ../../MedinTuxTools/DlgGetString.ui ../../MedinTuxTools/DlgGetString.ui.h 
	$(UIC) ../../MedinTuxTools/DlgGetString.ui -i DlgGetString.h -o ../../MedinTuxTools/DlgGetString.cpp

../../MedinTuxTools/DlgMyMessageBox.h: ../../MedinTuxTools/DlgMyMessageBox.ui 
	$(UIC) ../../MedinTuxTools/DlgMyMessageBox.ui -o ../../MedinTuxTools/DlgMyMessageBox.h

../../MedinTuxTools/DlgMyMessageBox.cpp: ../../MedinTuxTools/DlgMyMessageBox.h ../../MedinTuxTools/DlgMyMessageBox.ui ../../MedinTuxTools/DlgMyMessageBox.ui.h 
	$(UIC) ../../MedinTuxTools/DlgMyMessageBox.ui -i DlgMyMessageBox.h -o ../../MedinTuxTools/DlgMyMessageBox.cpp

Dlg_Manu.o: Dlg_Manu.cpp CManuApp.h \
		../../MedinTuxTools/CHtmlTools.h \
		Dlg_Manu.ui.h \
		Dlg_Manu.h

DlgGetString.o: ../../MedinTuxTools/DlgGetString.cpp ../../MedinTuxTools/DlgGetString.ui.h \
		../../MedinTuxTools/DlgGetString.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DlgGetString.o ../../MedinTuxTools/DlgGetString.cpp

DlgMyMessageBox.o: ../../MedinTuxTools/DlgMyMessageBox.cpp ../../MedinTuxTools/DlgMyMessageBox.ui.h \
		../../MedinTuxTools/DlgMyMessageBox.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o DlgMyMessageBox.o ../../MedinTuxTools/DlgMyMessageBox.cpp

moc_CManuApp.o: moc_CManuApp.cpp  CManuApp.h CManuAppCtx.h \
		../../MedinTuxTools/CGestIni.h \
		Dlg_Manu.h

moc_CCoolPopup.o: ../../MedinTuxTools/moc_CCoolPopup.cpp  ../../MedinTuxTools/CCoolPopup.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_CCoolPopup.o ../../MedinTuxTools/moc_CCoolPopup.cpp

moc_Dlg_Manu.o: moc_Dlg_Manu.cpp  Dlg_Manu.h 

moc_DlgGetString.o: ../../MedinTuxTools/moc_DlgGetString.cpp  ../../MedinTuxTools/DlgGetString.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_DlgGetString.o ../../MedinTuxTools/moc_DlgGetString.cpp

moc_DlgMyMessageBox.o: ../../MedinTuxTools/moc_DlgMyMessageBox.cpp  ../../MedinTuxTools/DlgMyMessageBox.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_DlgMyMessageBox.o ../../MedinTuxTools/moc_DlgMyMessageBox.cpp

moc_CManuApp.cpp: $(MOC) CManuApp.h
	$(MOC) CManuApp.h -o moc_CManuApp.cpp

../../MedinTuxTools/moc_CCoolPopup.cpp: $(MOC) ../../MedinTuxTools/CCoolPopup.h
	$(MOC) ../../MedinTuxTools/CCoolPopup.h -o ../../MedinTuxTools/moc_CCoolPopup.cpp

moc_Dlg_Manu.cpp: $(MOC) Dlg_Manu.h
	$(MOC) Dlg_Manu.h -o moc_Dlg_Manu.cpp

../../MedinTuxTools/moc_DlgGetString.cpp: $(MOC) ../../MedinTuxTools/DlgGetString.h
	$(MOC) ../../MedinTuxTools/DlgGetString.h -o ../../MedinTuxTools/moc_DlgGetString.cpp

../../MedinTuxTools/moc_DlgMyMessageBox.cpp: $(MOC) ../../MedinTuxTools/DlgMyMessageBox.h
	$(MOC) ../../MedinTuxTools/DlgMyMessageBox.h -o ../../MedinTuxTools/moc_DlgMyMessageBox.cpp

####### Install

install:  

uninstall:  

